/* ===== ARTICLES HOME ===== */

.articles-home{
    max-width:1200px;
    margin:auto;
    padding:40px 20px;

    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:40px;
}

.article{

    display:flex;
    flex-direction:column;
    gap:10px;
    background:white;
    border-radius:12px;
    overflow:hidden;
    box-shadow:0 10px 30px rgba(0,0,0,0.08);
	padding:20px;
}

.image_article img{
    border-radius:10px;
    width:100%;
    height:auto;
    object-fit:cover;
}

.miniatures_wrapper{
    position:relative;
}

.miniatures_article{
	position:relative;
    display:flex;
    gap:8px;
    margin-top:3px;

    overflow-x:auto;
    overflow-y:hidden;

    padding-bottom:5px;

    scroll-snap-type:x mandatory;
	
	
    scrollbar-width:thin;      /* Firefox */
    scrollbar-color:#ccc transparent;

}

.miniatures_article::-webkit-scrollbar{
    height:6px;
}

.miniatures_article::-webkit-scrollbar-thumb{
    background:#ccc;
    border-radius:10px;
}


.miniatures_wrapper::after{
    content:"";
    position:absolute;
    right:0;
    top:0;
    width:40px;
    height:100%;
    background:linear-gradient(to right, transparent, white);
    pointer-events:none;
}

.miniatures_wrapper::before{
    content:"";
    position:absolute;
    left:0;
    top:0;
    width:40px;
    height:100%;
    background:linear-gradient(to left, transparent, white);
    pointer-events:none;
}

.miniatures_article img{
    width:70px;
    height:70px;
    object-fit:cover;
    border-radius:6px;
    cursor:pointer;
	
	flex-shrink:0;
    scroll-snap-align:start;
	
    transition:0.2s;

}

.miniatures_article  img:hover{
    transform:scale(1.05);
}

.content_article{
    padding:20px;
}

.titre_article{
    margin:0 0 10px 0;
    font-size:1.6rem;
}

.date_article{
    font-size:0.85rem;
    color:#888;
    margin-bottom:10px;
}

.texte_article{
    line-height:1.5;
	text-align:justify;
    hyphens:auto;

    display:-webkit-box;
    -webkit-line-clamp:6;
    -webkit-box-orient:vertical;
    overflow:hidden;
	
	transition:all 0.4s ease;
}

.article:hover .texte_article{
    -webkit-line-clamp:unset;
    overflow:visible;
}

@media(max-width:900px){

.articles-home{
    grid-template-columns:1fr;
}

.article{
    flex-direction:column;
}

.image_article img{
    width:100%;
}

}